Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/120
Addresses256
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:c25:400a:5100/120
First address
2c19:dd:d9:dd:c25:c25:400a:5100
Last address
2c19:dd:d9:dd:c25:c25:400a:51ff
Addresses
256
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:0c25:400a:5100
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
1.5.a.0.0.4.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets/128

2c19:dd:d9:dd:c25:c25:400a:5100/120 makes 256 subnets of /128.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:c25:400a:5100/1282c19:dd:d9:dd:c25:c25:400a:5100
22c19:dd:d9:dd:c25:c25:400a:5101/1282c19:dd:d9:dd:c25:c25:400a:5101
32c19:dd:d9:dd:c25:c25:400a:5102/1282c19:dd:d9:dd:c25:c25:400a:5102
42c19:dd:d9:dd:c25:c25:400a:5103/1282c19:dd:d9:dd:c25:c25:400a:5103
52c19:dd:d9:dd:c25:c25:400a:5104/1282c19:dd:d9:dd:c25:c25:400a:5104
62c19:dd:d9:dd:c25:c25:400a:5105/1282c19:dd:d9:dd:c25:c25:400a:5105
72c19:dd:d9:dd:c25:c25:400a:5106/1282c19:dd:d9:dd:c25:c25:400a:5106
82c19:dd:d9:dd:c25:c25:400a:5107/1282c19:dd:d9:dd:c25:c25:400a:5107
92c19:dd:d9:dd:c25:c25:400a:5108/1282c19:dd:d9:dd:c25:c25:400a:5108
102c19:dd:d9:dd:c25:c25:400a:5109/1282c19:dd:d9:dd:c25:c25:400a:5109
112c19:dd:d9:dd:c25:c25:400a:510a/1282c19:dd:d9:dd:c25:c25:400a:510a
122c19:dd:d9:dd:c25:c25:400a:510b/1282c19:dd:d9:dd:c25:c25:400a:510b
132c19:dd:d9:dd:c25:c25:400a:510c/1282c19:dd:d9:dd:c25:c25:400a:510c
142c19:dd:d9:dd:c25:c25:400a:510d/1282c19:dd:d9:dd:c25:c25:400a:510d
152c19:dd:d9:dd:c25:c25:400a:510e/1282c19:dd:d9:dd:c25:c25:400a:510e
162c19:dd:d9:dd:c25:c25:400a:510f/1282c19:dd:d9:dd:c25:c25:400a:510f
172c19:dd:d9:dd:c25:c25:400a:5110/1282c19:dd:d9:dd:c25:c25:400a:5110
182c19:dd:d9:dd:c25:c25:400a:5111/1282c19:dd:d9:dd:c25:c25:400a:5111
192c19:dd:d9:dd:c25:c25:400a:5112/1282c19:dd:d9:dd:c25:c25:400a:5112
202c19:dd:d9:dd:c25:c25:400a:5113/1282c19:dd:d9:dd:c25:c25:400a:5113
212c19:dd:d9:dd:c25:c25:400a:5114/1282c19:dd:d9:dd:c25:c25:400a:5114
222c19:dd:d9:dd:c25:c25:400a:5115/1282c19:dd:d9:dd:c25:c25:400a:5115
232c19:dd:d9:dd:c25:c25:400a:5116/1282c19:dd:d9:dd:c25:c25:400a:5116
242c19:dd:d9:dd:c25:c25:400a:5117/1282c19:dd:d9:dd:c25:c25:400a:5117
252c19:dd:d9:dd:c25:c25:400a:5118/1282c19:dd:d9:dd:c25:c25:400a:5118
262c19:dd:d9:dd:c25:c25:400a:5119/1282c19:dd:d9:dd:c25:c25:400a:5119
272c19:dd:d9:dd:c25:c25:400a:511a/1282c19:dd:d9:dd:c25:c25:400a:511a
282c19:dd:d9:dd:c25:c25:400a:511b/1282c19:dd:d9:dd:c25:c25:400a:511b
292c19:dd:d9:dd:c25:c25:400a:511c/1282c19:dd:d9:dd:c25:c25:400a:511c
302c19:dd:d9:dd:c25:c25:400a:511d/1282c19:dd:d9:dd:c25:c25:400a:511d
312c19:dd:d9:dd:c25:c25:400a:511e/1282c19:dd:d9:dd:c25:c25:400a:511e
322c19:dd:d9:dd:c25:c25:400a:511f/1282c19:dd:d9:dd:c25:c25:400a:511f
332c19:dd:d9:dd:c25:c25:400a:5120/1282c19:dd:d9:dd:c25:c25:400a:5120
342c19:dd:d9:dd:c25:c25:400a:5121/1282c19:dd:d9:dd:c25:c25:400a:5121
352c19:dd:d9:dd:c25:c25:400a:5122/1282c19:dd:d9:dd:c25:c25:400a:5122
362c19:dd:d9:dd:c25:c25:400a:5123/1282c19:dd:d9:dd:c25:c25:400a:5123
372c19:dd:d9:dd:c25:c25:400a:5124/1282c19:dd:d9:dd:c25:c25:400a:5124
382c19:dd:d9:dd:c25:c25:400a:5125/1282c19:dd:d9:dd:c25:c25:400a:5125
392c19:dd:d9:dd:c25:c25:400a:5126/1282c19:dd:d9:dd:c25:c25:400a:5126
402c19:dd:d9:dd:c25:c25:400a:5127/1282c19:dd:d9:dd:c25:c25:400a:5127
412c19:dd:d9:dd:c25:c25:400a:5128/1282c19:dd:d9:dd:c25:c25:400a:5128
422c19:dd:d9:dd:c25:c25:400a:5129/1282c19:dd:d9:dd:c25:c25:400a:5129
432c19:dd:d9:dd:c25:c25:400a:512a/1282c19:dd:d9:dd:c25:c25:400a:512a
442c19:dd:d9:dd:c25:c25:400a:512b/1282c19:dd:d9:dd:c25:c25:400a:512b
452c19:dd:d9:dd:c25:c25:400a:512c/1282c19:dd:d9:dd:c25:c25:400a:512c
462c19:dd:d9:dd:c25:c25:400a:512d/1282c19:dd:d9:dd:c25:c25:400a:512d
472c19:dd:d9:dd:c25:c25:400a:512e/1282c19:dd:d9:dd:c25:c25:400a:512e
482c19:dd:d9:dd:c25:c25:400a:512f/1282c19:dd:d9:dd:c25:c25:400a:512f
492c19:dd:d9:dd:c25:c25:400a:5130/1282c19:dd:d9:dd:c25:c25:400a:5130
502c19:dd:d9:dd:c25:c25:400a:5131/1282c19:dd:d9:dd:c25:c25:400a:5131
512c19:dd:d9:dd:c25:c25:400a:5132/1282c19:dd:d9:dd:c25:c25:400a:5132
522c19:dd:d9:dd:c25:c25:400a:5133/1282c19:dd:d9:dd:c25:c25:400a:5133
532c19:dd:d9:dd:c25:c25:400a:5134/1282c19:dd:d9:dd:c25:c25:400a:5134
542c19:dd:d9:dd:c25:c25:400a:5135/1282c19:dd:d9:dd:c25:c25:400a:5135
552c19:dd:d9:dd:c25:c25:400a:5136/1282c19:dd:d9:dd:c25:c25:400a:5136
562c19:dd:d9:dd:c25:c25:400a:5137/1282c19:dd:d9:dd:c25:c25:400a:5137
572c19:dd:d9:dd:c25:c25:400a:5138/1282c19:dd:d9:dd:c25:c25:400a:5138
582c19:dd:d9:dd:c25:c25:400a:5139/1282c19:dd:d9:dd:c25:c25:400a:5139
592c19:dd:d9:dd:c25:c25:400a:513a/1282c19:dd:d9:dd:c25:c25:400a:513a
602c19:dd:d9:dd:c25:c25:400a:513b/1282c19:dd:d9:dd:c25:c25:400a:513b
612c19:dd:d9:dd:c25:c25:400a:513c/1282c19:dd:d9:dd:c25:c25:400a:513c
622c19:dd:d9:dd:c25:c25:400a:513d/1282c19:dd:d9:dd:c25:c25:400a:513d
632c19:dd:d9:dd:c25:c25:400a:513e/1282c19:dd:d9:dd:c25:c25:400a:513e
642c19:dd:d9:dd:c25:c25:400a:513f/1282c19:dd:d9:dd:c25:c25:400a:513f
652c19:dd:d9:dd:c25:c25:400a:5140/1282c19:dd:d9:dd:c25:c25:400a:5140
662c19:dd:d9:dd:c25:c25:400a:5141/1282c19:dd:d9:dd:c25:c25:400a:5141
672c19:dd:d9:dd:c25:c25:400a:5142/1282c19:dd:d9:dd:c25:c25:400a:5142
682c19:dd:d9:dd:c25:c25:400a:5143/1282c19:dd:d9:dd:c25:c25:400a:5143
692c19:dd:d9:dd:c25:c25:400a:5144/1282c19:dd:d9:dd:c25:c25:400a:5144
702c19:dd:d9:dd:c25:c25:400a:5145/1282c19:dd:d9:dd:c25:c25:400a:5145
712c19:dd:d9:dd:c25:c25:400a:5146/1282c19:dd:d9:dd:c25:c25:400a:5146
722c19:dd:d9:dd:c25:c25:400a:5147/1282c19:dd:d9:dd:c25:c25:400a:5147
732c19:dd:d9:dd:c25:c25:400a:5148/1282c19:dd:d9:dd:c25:c25:400a:5148
742c19:dd:d9:dd:c25:c25:400a:5149/1282c19:dd:d9:dd:c25:c25:400a:5149
752c19:dd:d9:dd:c25:c25:400a:514a/1282c19:dd:d9:dd:c25:c25:400a:514a
762c19:dd:d9:dd:c25:c25:400a:514b/1282c19:dd:d9:dd:c25:c25:400a:514b
772c19:dd:d9:dd:c25:c25:400a:514c/1282c19:dd:d9:dd:c25:c25:400a:514c
782c19:dd:d9:dd:c25:c25:400a:514d/1282c19:dd:d9:dd:c25:c25:400a:514d
792c19:dd:d9:dd:c25:c25:400a:514e/1282c19:dd:d9:dd:c25:c25:400a:514e
802c19:dd:d9:dd:c25:c25:400a:514f/1282c19:dd:d9:dd:c25:c25:400a:514f
812c19:dd:d9:dd:c25:c25:400a:5150/1282c19:dd:d9:dd:c25:c25:400a:5150
822c19:dd:d9:dd:c25:c25:400a:5151/1282c19:dd:d9:dd:c25:c25:400a:5151
832c19:dd:d9:dd:c25:c25:400a:5152/1282c19:dd:d9:dd:c25:c25:400a:5152
842c19:dd:d9:dd:c25:c25:400a:5153/1282c19:dd:d9:dd:c25:c25:400a:5153
852c19:dd:d9:dd:c25:c25:400a:5154/1282c19:dd:d9:dd:c25:c25:400a:5154
862c19:dd:d9:dd:c25:c25:400a:5155/1282c19:dd:d9:dd:c25:c25:400a:5155
872c19:dd:d9:dd:c25:c25:400a:5156/1282c19:dd:d9:dd:c25:c25:400a:5156
882c19:dd:d9:dd:c25:c25:400a:5157/1282c19:dd:d9:dd:c25:c25:400a:5157
892c19:dd:d9:dd:c25:c25:400a:5158/1282c19:dd:d9:dd:c25:c25:400a:5158
902c19:dd:d9:dd:c25:c25:400a:5159/1282c19:dd:d9:dd:c25:c25:400a:5159
912c19:dd:d9:dd:c25:c25:400a:515a/1282c19:dd:d9:dd:c25:c25:400a:515a
922c19:dd:d9:dd:c25:c25:400a:515b/1282c19:dd:d9:dd:c25:c25:400a:515b
932c19:dd:d9:dd:c25:c25:400a:515c/1282c19:dd:d9:dd:c25:c25:400a:515c
942c19:dd:d9:dd:c25:c25:400a:515d/1282c19:dd:d9:dd:c25:c25:400a:515d
952c19:dd:d9:dd:c25:c25:400a:515e/1282c19:dd:d9:dd:c25:c25:400a:515e
962c19:dd:d9:dd:c25:c25:400a:515f/1282c19:dd:d9:dd:c25:c25:400a:515f
972c19:dd:d9:dd:c25:c25:400a:5160/1282c19:dd:d9:dd:c25:c25:400a:5160
982c19:dd:d9:dd:c25:c25:400a:5161/1282c19:dd:d9:dd:c25:c25:400a:5161
992c19:dd:d9:dd:c25:c25:400a:5162/1282c19:dd:d9:dd:c25:c25:400a:5162
1002c19:dd:d9:dd:c25:c25:400a:5163/1282c19:dd:d9:dd:c25:c25:400a:5163
1012c19:dd:d9:dd:c25:c25:400a:5164/1282c19:dd:d9:dd:c25:c25:400a:5164
1022c19:dd:d9:dd:c25:c25:400a:5165/1282c19:dd:d9:dd:c25:c25:400a:5165
1032c19:dd:d9:dd:c25:c25:400a:5166/1282c19:dd:d9:dd:c25:c25:400a:5166
1042c19:dd:d9:dd:c25:c25:400a:5167/1282c19:dd:d9:dd:c25:c25:400a:5167
1052c19:dd:d9:dd:c25:c25:400a:5168/1282c19:dd:d9:dd:c25:c25:400a:5168
1062c19:dd:d9:dd:c25:c25:400a:5169/1282c19:dd:d9:dd:c25:c25:400a:5169
1072c19:dd:d9:dd:c25:c25:400a:516a/1282c19:dd:d9:dd:c25:c25:400a:516a
1082c19:dd:d9:dd:c25:c25:400a:516b/1282c19:dd:d9:dd:c25:c25:400a:516b
1092c19:dd:d9:dd:c25:c25:400a:516c/1282c19:dd:d9:dd:c25:c25:400a:516c
1102c19:dd:d9:dd:c25:c25:400a:516d/1282c19:dd:d9:dd:c25:c25:400a:516d
1112c19:dd:d9:dd:c25:c25:400a:516e/1282c19:dd:d9:dd:c25:c25:400a:516e
1122c19:dd:d9:dd:c25:c25:400a:516f/1282c19:dd:d9:dd:c25:c25:400a:516f
1132c19:dd:d9:dd:c25:c25:400a:5170/1282c19:dd:d9:dd:c25:c25:400a:5170
1142c19:dd:d9:dd:c25:c25:400a:5171/1282c19:dd:d9:dd:c25:c25:400a:5171
1152c19:dd:d9:dd:c25:c25:400a:5172/1282c19:dd:d9:dd:c25:c25:400a:5172
1162c19:dd:d9:dd:c25:c25:400a:5173/1282c19:dd:d9:dd:c25:c25:400a:5173
1172c19:dd:d9:dd:c25:c25:400a:5174/1282c19:dd:d9:dd:c25:c25:400a:5174
1182c19:dd:d9:dd:c25:c25:400a:5175/1282c19:dd:d9:dd:c25:c25:400a:5175
1192c19:dd:d9:dd:c25:c25:400a:5176/1282c19:dd:d9:dd:c25:c25:400a:5176
1202c19:dd:d9:dd:c25:c25:400a:5177/1282c19:dd:d9:dd:c25:c25:400a:5177
1212c19:dd:d9:dd:c25:c25:400a:5178/1282c19:dd:d9:dd:c25:c25:400a:5178
1222c19:dd:d9:dd:c25:c25:400a:5179/1282c19:dd:d9:dd:c25:c25:400a:5179
1232c19:dd:d9:dd:c25:c25:400a:517a/1282c19:dd:d9:dd:c25:c25:400a:517a
1242c19:dd:d9:dd:c25:c25:400a:517b/1282c19:dd:d9:dd:c25:c25:400a:517b
1252c19:dd:d9:dd:c25:c25:400a:517c/1282c19:dd:d9:dd:c25:c25:400a:517c
1262c19:dd:d9:dd:c25:c25:400a:517d/1282c19:dd:d9:dd:c25:c25:400a:517d
1272c19:dd:d9:dd:c25:c25:400a:517e/1282c19:dd:d9:dd:c25:c25:400a:517e
1282c19:dd:d9:dd:c25:c25:400a:517f/1282c19:dd:d9:dd:c25:c25:400a:517f
1292c19:dd:d9:dd:c25:c25:400a:5180/1282c19:dd:d9:dd:c25:c25:400a:5180
1302c19:dd:d9:dd:c25:c25:400a:5181/1282c19:dd:d9:dd:c25:c25:400a:5181
1312c19:dd:d9:dd:c25:c25:400a:5182/1282c19:dd:d9:dd:c25:c25:400a:5182
1322c19:dd:d9:dd:c25:c25:400a:5183/1282c19:dd:d9:dd:c25:c25:400a:5183
1332c19:dd:d9:dd:c25:c25:400a:5184/1282c19:dd:d9:dd:c25:c25:400a:5184
1342c19:dd:d9:dd:c25:c25:400a:5185/1282c19:dd:d9:dd:c25:c25:400a:5185
1352c19:dd:d9:dd:c25:c25:400a:5186/1282c19:dd:d9:dd:c25:c25:400a:5186
1362c19:dd:d9:dd:c25:c25:400a:5187/1282c19:dd:d9:dd:c25:c25:400a:5187
1372c19:dd:d9:dd:c25:c25:400a:5188/1282c19:dd:d9:dd:c25:c25:400a:5188
1382c19:dd:d9:dd:c25:c25:400a:5189/1282c19:dd:d9:dd:c25:c25:400a:5189
1392c19:dd:d9:dd:c25:c25:400a:518a/1282c19:dd:d9:dd:c25:c25:400a:518a
1402c19:dd:d9:dd:c25:c25:400a:518b/1282c19:dd:d9:dd:c25:c25:400a:518b
1412c19:dd:d9:dd:c25:c25:400a:518c/1282c19:dd:d9:dd:c25:c25:400a:518c
1422c19:dd:d9:dd:c25:c25:400a:518d/1282c19:dd:d9:dd:c25:c25:400a:518d
1432c19:dd:d9:dd:c25:c25:400a:518e/1282c19:dd:d9:dd:c25:c25:400a:518e
1442c19:dd:d9:dd:c25:c25:400a:518f/1282c19:dd:d9:dd:c25:c25:400a:518f
1452c19:dd:d9:dd:c25:c25:400a:5190/1282c19:dd:d9:dd:c25:c25:400a:5190
1462c19:dd:d9:dd:c25:c25:400a:5191/1282c19:dd:d9:dd:c25:c25:400a:5191
1472c19:dd:d9:dd:c25:c25:400a:5192/1282c19:dd:d9:dd:c25:c25:400a:5192
1482c19:dd:d9:dd:c25:c25:400a:5193/1282c19:dd:d9:dd:c25:c25:400a:5193
1492c19:dd:d9:dd:c25:c25:400a:5194/1282c19:dd:d9:dd:c25:c25:400a:5194
1502c19:dd:d9:dd:c25:c25:400a:5195/1282c19:dd:d9:dd:c25:c25:400a:5195
1512c19:dd:d9:dd:c25:c25:400a:5196/1282c19:dd:d9:dd:c25:c25:400a:5196
1522c19:dd:d9:dd:c25:c25:400a:5197/1282c19:dd:d9:dd:c25:c25:400a:5197
1532c19:dd:d9:dd:c25:c25:400a:5198/1282c19:dd:d9:dd:c25:c25:400a:5198
1542c19:dd:d9:dd:c25:c25:400a:5199/1282c19:dd:d9:dd:c25:c25:400a:5199
1552c19:dd:d9:dd:c25:c25:400a:519a/1282c19:dd:d9:dd:c25:c25:400a:519a
1562c19:dd:d9:dd:c25:c25:400a:519b/1282c19:dd:d9:dd:c25:c25:400a:519b
1572c19:dd:d9:dd:c25:c25:400a:519c/1282c19:dd:d9:dd:c25:c25:400a:519c
1582c19:dd:d9:dd:c25:c25:400a:519d/1282c19:dd:d9:dd:c25:c25:400a:519d
1592c19:dd:d9:dd:c25:c25:400a:519e/1282c19:dd:d9:dd:c25:c25:400a:519e
1602c19:dd:d9:dd:c25:c25:400a:519f/1282c19:dd:d9:dd:c25:c25:400a:519f
1612c19:dd:d9:dd:c25:c25:400a:51a0/1282c19:dd:d9:dd:c25:c25:400a:51a0
1622c19:dd:d9:dd:c25:c25:400a:51a1/1282c19:dd:d9:dd:c25:c25:400a:51a1
1632c19:dd:d9:dd:c25:c25:400a:51a2/1282c19:dd:d9:dd:c25:c25:400a:51a2
1642c19:dd:d9:dd:c25:c25:400a:51a3/1282c19:dd:d9:dd:c25:c25:400a:51a3
1652c19:dd:d9:dd:c25:c25:400a:51a4/1282c19:dd:d9:dd:c25:c25:400a:51a4
1662c19:dd:d9:dd:c25:c25:400a:51a5/1282c19:dd:d9:dd:c25:c25:400a:51a5
1672c19:dd:d9:dd:c25:c25:400a:51a6/1282c19:dd:d9:dd:c25:c25:400a:51a6
1682c19:dd:d9:dd:c25:c25:400a:51a7/1282c19:dd:d9:dd:c25:c25:400a:51a7
1692c19:dd:d9:dd:c25:c25:400a:51a8/1282c19:dd:d9:dd:c25:c25:400a:51a8
1702c19:dd:d9:dd:c25:c25:400a:51a9/1282c19:dd:d9:dd:c25:c25:400a:51a9
1712c19:dd:d9:dd:c25:c25:400a:51aa/1282c19:dd:d9:dd:c25:c25:400a:51aa
1722c19:dd:d9:dd:c25:c25:400a:51ab/1282c19:dd:d9:dd:c25:c25:400a:51ab
1732c19:dd:d9:dd:c25:c25:400a:51ac/1282c19:dd:d9:dd:c25:c25:400a:51ac
1742c19:dd:d9:dd:c25:c25:400a:51ad/1282c19:dd:d9:dd:c25:c25:400a:51ad
1752c19:dd:d9:dd:c25:c25:400a:51ae/1282c19:dd:d9:dd:c25:c25:400a:51ae
1762c19:dd:d9:dd:c25:c25:400a:51af/1282c19:dd:d9:dd:c25:c25:400a:51af
1772c19:dd:d9:dd:c25:c25:400a:51b0/1282c19:dd:d9:dd:c25:c25:400a:51b0
1782c19:dd:d9:dd:c25:c25:400a:51b1/1282c19:dd:d9:dd:c25:c25:400a:51b1
1792c19:dd:d9:dd:c25:c25:400a:51b2/1282c19:dd:d9:dd:c25:c25:400a:51b2
1802c19:dd:d9:dd:c25:c25:400a:51b3/1282c19:dd:d9:dd:c25:c25:400a:51b3
1812c19:dd:d9:dd:c25:c25:400a:51b4/1282c19:dd:d9:dd:c25:c25:400a:51b4
1822c19:dd:d9:dd:c25:c25:400a:51b5/1282c19:dd:d9:dd:c25:c25:400a:51b5
1832c19:dd:d9:dd:c25:c25:400a:51b6/1282c19:dd:d9:dd:c25:c25:400a:51b6
1842c19:dd:d9:dd:c25:c25:400a:51b7/1282c19:dd:d9:dd:c25:c25:400a:51b7
1852c19:dd:d9:dd:c25:c25:400a:51b8/1282c19:dd:d9:dd:c25:c25:400a:51b8
1862c19:dd:d9:dd:c25:c25:400a:51b9/1282c19:dd:d9:dd:c25:c25:400a:51b9
1872c19:dd:d9:dd:c25:c25:400a:51ba/1282c19:dd:d9:dd:c25:c25:400a:51ba
1882c19:dd:d9:dd:c25:c25:400a:51bb/1282c19:dd:d9:dd:c25:c25:400a:51bb
1892c19:dd:d9:dd:c25:c25:400a:51bc/1282c19:dd:d9:dd:c25:c25:400a:51bc
1902c19:dd:d9:dd:c25:c25:400a:51bd/1282c19:dd:d9:dd:c25:c25:400a:51bd
1912c19:dd:d9:dd:c25:c25:400a:51be/1282c19:dd:d9:dd:c25:c25:400a:51be
1922c19:dd:d9:dd:c25:c25:400a:51bf/1282c19:dd:d9:dd:c25:c25:400a:51bf
1932c19:dd:d9:dd:c25:c25:400a:51c0/1282c19:dd:d9:dd:c25:c25:400a:51c0
1942c19:dd:d9:dd:c25:c25:400a:51c1/1282c19:dd:d9:dd:c25:c25:400a:51c1
1952c19:dd:d9:dd:c25:c25:400a:51c2/1282c19:dd:d9:dd:c25:c25:400a:51c2
1962c19:dd:d9:dd:c25:c25:400a:51c3/1282c19:dd:d9:dd:c25:c25:400a:51c3
1972c19:dd:d9:dd:c25:c25:400a:51c4/1282c19:dd:d9:dd:c25:c25:400a:51c4
1982c19:dd:d9:dd:c25:c25:400a:51c5/1282c19:dd:d9:dd:c25:c25:400a:51c5
1992c19:dd:d9:dd:c25:c25:400a:51c6/1282c19:dd:d9:dd:c25:c25:400a:51c6
2002c19:dd:d9:dd:c25:c25:400a:51c7/1282c19:dd:d9:dd:c25:c25:400a:51c7
2012c19:dd:d9:dd:c25:c25:400a:51c8/1282c19:dd:d9:dd:c25:c25:400a:51c8
2022c19:dd:d9:dd:c25:c25:400a:51c9/1282c19:dd:d9:dd:c25:c25:400a:51c9
2032c19:dd:d9:dd:c25:c25:400a:51ca/1282c19:dd:d9:dd:c25:c25:400a:51ca
2042c19:dd:d9:dd:c25:c25:400a:51cb/1282c19:dd:d9:dd:c25:c25:400a:51cb
2052c19:dd:d9:dd:c25:c25:400a:51cc/1282c19:dd:d9:dd:c25:c25:400a:51cc
2062c19:dd:d9:dd:c25:c25:400a:51cd/1282c19:dd:d9:dd:c25:c25:400a:51cd
2072c19:dd:d9:dd:c25:c25:400a:51ce/1282c19:dd:d9:dd:c25:c25:400a:51ce
2082c19:dd:d9:dd:c25:c25:400a:51cf/1282c19:dd:d9:dd:c25:c25:400a:51cf
2092c19:dd:d9:dd:c25:c25:400a:51d0/1282c19:dd:d9:dd:c25:c25:400a:51d0
2102c19:dd:d9:dd:c25:c25:400a:51d1/1282c19:dd:d9:dd:c25:c25:400a:51d1
2112c19:dd:d9:dd:c25:c25:400a:51d2/1282c19:dd:d9:dd:c25:c25:400a:51d2
2122c19:dd:d9:dd:c25:c25:400a:51d3/1282c19:dd:d9:dd:c25:c25:400a:51d3
2132c19:dd:d9:dd:c25:c25:400a:51d4/1282c19:dd:d9:dd:c25:c25:400a:51d4
2142c19:dd:d9:dd:c25:c25:400a:51d5/1282c19:dd:d9:dd:c25:c25:400a:51d5
2152c19:dd:d9:dd:c25:c25:400a:51d6/1282c19:dd:d9:dd:c25:c25:400a:51d6
2162c19:dd:d9:dd:c25:c25:400a:51d7/1282c19:dd:d9:dd:c25:c25:400a:51d7
2172c19:dd:d9:dd:c25:c25:400a:51d8/1282c19:dd:d9:dd:c25:c25:400a:51d8
2182c19:dd:d9:dd:c25:c25:400a:51d9/1282c19:dd:d9:dd:c25:c25:400a:51d9
2192c19:dd:d9:dd:c25:c25:400a:51da/1282c19:dd:d9:dd:c25:c25:400a:51da
2202c19:dd:d9:dd:c25:c25:400a:51db/1282c19:dd:d9:dd:c25:c25:400a:51db
2212c19:dd:d9:dd:c25:c25:400a:51dc/1282c19:dd:d9:dd:c25:c25:400a:51dc
2222c19:dd:d9:dd:c25:c25:400a:51dd/1282c19:dd:d9:dd:c25:c25:400a:51dd
2232c19:dd:d9:dd:c25:c25:400a:51de/1282c19:dd:d9:dd:c25:c25:400a:51de
2242c19:dd:d9:dd:c25:c25:400a:51df/1282c19:dd:d9:dd:c25:c25:400a:51df
2252c19:dd:d9:dd:c25:c25:400a:51e0/1282c19:dd:d9:dd:c25:c25:400a:51e0
2262c19:dd:d9:dd:c25:c25:400a:51e1/1282c19:dd:d9:dd:c25:c25:400a:51e1
2272c19:dd:d9:dd:c25:c25:400a:51e2/1282c19:dd:d9:dd:c25:c25:400a:51e2
2282c19:dd:d9:dd:c25:c25:400a:51e3/1282c19:dd:d9:dd:c25:c25:400a:51e3
2292c19:dd:d9:dd:c25:c25:400a:51e4/1282c19:dd:d9:dd:c25:c25:400a:51e4
2302c19:dd:d9:dd:c25:c25:400a:51e5/1282c19:dd:d9:dd:c25:c25:400a:51e5
2312c19:dd:d9:dd:c25:c25:400a:51e6/1282c19:dd:d9:dd:c25:c25:400a:51e6
2322c19:dd:d9:dd:c25:c25:400a:51e7/1282c19:dd:d9:dd:c25:c25:400a:51e7
2332c19:dd:d9:dd:c25:c25:400a:51e8/1282c19:dd:d9:dd:c25:c25:400a:51e8
2342c19:dd:d9:dd:c25:c25:400a:51e9/1282c19:dd:d9:dd:c25:c25:400a:51e9
2352c19:dd:d9:dd:c25:c25:400a:51ea/1282c19:dd:d9:dd:c25:c25:400a:51ea
2362c19:dd:d9:dd:c25:c25:400a:51eb/1282c19:dd:d9:dd:c25:c25:400a:51eb
2372c19:dd:d9:dd:c25:c25:400a:51ec/1282c19:dd:d9:dd:c25:c25:400a:51ec
2382c19:dd:d9:dd:c25:c25:400a:51ed/1282c19:dd:d9:dd:c25:c25:400a:51ed
2392c19:dd:d9:dd:c25:c25:400a:51ee/1282c19:dd:d9:dd:c25:c25:400a:51ee
2402c19:dd:d9:dd:c25:c25:400a:51ef/1282c19:dd:d9:dd:c25:c25:400a:51ef
2412c19:dd:d9:dd:c25:c25:400a:51f0/1282c19:dd:d9:dd:c25:c25:400a:51f0
2422c19:dd:d9:dd:c25:c25:400a:51f1/1282c19:dd:d9:dd:c25:c25:400a:51f1
2432c19:dd:d9:dd:c25:c25:400a:51f2/1282c19:dd:d9:dd:c25:c25:400a:51f2
2442c19:dd:d9:dd:c25:c25:400a:51f3/1282c19:dd:d9:dd:c25:c25:400a:51f3
2452c19:dd:d9:dd:c25:c25:400a:51f4/1282c19:dd:d9:dd:c25:c25:400a:51f4
2462c19:dd:d9:dd:c25:c25:400a:51f5/1282c19:dd:d9:dd:c25:c25:400a:51f5
2472c19:dd:d9:dd:c25:c25:400a:51f6/1282c19:dd:d9:dd:c25:c25:400a:51f6
2482c19:dd:d9:dd:c25:c25:400a:51f7/1282c19:dd:d9:dd:c25:c25:400a:51f7
2492c19:dd:d9:dd:c25:c25:400a:51f8/1282c19:dd:d9:dd:c25:c25:400a:51f8
2502c19:dd:d9:dd:c25:c25:400a:51f9/1282c19:dd:d9:dd:c25:c25:400a:51f9
2512c19:dd:d9:dd:c25:c25:400a:51fa/1282c19:dd:d9:dd:c25:c25:400a:51fa
2522c19:dd:d9:dd:c25:c25:400a:51fb/1282c19:dd:d9:dd:c25:c25:400a:51fb
2532c19:dd:d9:dd:c25:c25:400a:51fc/1282c19:dd:d9:dd:c25:c25:400a:51fc
2542c19:dd:d9:dd:c25:c25:400a:51fd/1282c19:dd:d9:dd:c25:c25:400a:51fd
2552c19:dd:d9:dd:c25:c25:400a:51fe/1282c19:dd:d9:dd:c25:c25:400a:51fe
2562c19:dd:d9:dd:c25:c25:400a:51ff/1282c19:dd:d9:dd:c25:c25:400a:51ff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses